Bug 1015789 - Not able to setup alt+shift as input source switch shortcut
Not able to setup alt+shift as input source switch shortcut
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
19
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-05 09:39 EDT by Evgeny Tarasov
Modified: 2015-02-17 12:31 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:31:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of keyboard shortcuts setup tool (36.42 KB, image/png)
2013-10-05 09:39 EDT, Evgeny Tarasov
no flags Details

  None (edit)
Description Evgeny Tarasov 2013-10-05 09:39:28 EDT
Created attachment 808158 [details]
screenshot of keyboard shortcuts setup tool

Description of problem:

The gui doesn't allow me to set alt+shift shortcut for input source switch. I press shortcut text area, it changes its text to "New accelerator..." and that's it. It doesn't react when I press alt+shift. I tried two different keyboards, and I'm sure they are working. Keyboard layout switching works just fine in Fedora 17 on the same computer.


Version-Release number of selected component (if applicable):
Fedora 19, fresh install + yum update.


How reproducible:
Always


Steps to Reproduce:
1.Install fedora 19
2.add one more keyboard layout beside english
3.in gnome-control-center go to Keyboard -> Shortcuts -> Typing
4.try to set alt+shift as a switch to next input source

Actual results:
The text area is not changing and there's no any system's reaction to alt+shift combination.


Expected results:
The text are should change to 'alt+shift' and then alt+shift should work as a layout switcher across the system.


Additional info:
Comment 1 Evgeny Tarasov 2013-10-06 06:58:32 EDT
The issue is reproducible in virtual machine. My second layout is Russian.
Comment 2 Evgeny Tarasov 2013-10-06 12:55:14 EDT
I reproduced the same issue on Fedora 18 in virtual machine. Still can't upgrade from fedora 17, because this basic feature doesn't work.
Comment 3 Evgeny Tarasov 2013-10-06 13:12:26 EDT
Found the answer: https://bbs.archlinux.org/viewtopic.php?pid=1192772

I understand that it's the 'feature' of gnome, not fedora. But it really prevents me or people I know of using your system. People have been using alt+shift or ctrl+shift in different operation systems for decades, and not allowing them to setup this configuration is unacceptable. To make thing worse, there's no any warning or explanation of why such shortcuts are forbidden, and it looks like a bug.

I've tried to use gnome-tweak-tool to setup the alt+shift shortcut and it's working in gnome-terminal, but it isn't in the 'search' panel of gnome.

I'll try to use lxde or mate, maybe they provide better experience.
Comment 4 Andrew Haveland-Robinson 2013-11-18 12:42:37 EST
Could someone please fix alt+shift ?

I'm going nuts having to use the mouse all the time to switch between English and Hungarian sometimes several times a minute.

gnome tweak tool doesn't work for me on fc20 either.
Comment 5 Fedora End Of Life 2015-01-09 15:07:57 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 12:31:46 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.